Skip to main content
System Global/Progress Bar
GETProgress BarSince 1.11SynchronousAuth Required

Get Task Progress

Get Task Progress

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • apiIdString

    The API ID of the task

Query Parameters

  • allboolean

    Specify to get all progress information

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. See error for details

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error that caused the current error. If no root error exists, this field is null

  • inventoriesListRequired

    See inventories for details

    • taskUuidStringRequired

      任务UUID。

    • taskNameStringRequired

      任务名称。

    • parentUuidStringRequired

      父级资源UUID。

    • typeStringRequired

      类型。

    • contentStringRequired

      内容。

    • opaqueLinkedHashMapRequired

      No description provided.

    • timeLongRequired

      时间。

    • totalStepsIntegerRequired

      总步骤。

    • currentStepIntegerRequired

      当前步骤。

    • subTasksListRequired

      See subTasks for details

Endpoint

GET/zstack/v1/task-progresses/{apiId}

/zstack/v1/task-progresses/{apiId}

Operation ID

GetTaskProgress

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/task-progresses/{apiId}?all=True&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "taskUuid": "931102503f64436ea649939ff3957406", "taskName": "org.zstack.header.vm.APICreateVmInstanceMsg", "type": "Task", "content": "Choose backup storage for downloading the image", "time": 1.510669257141E12 } ] }

Change History

This API has no change history records yet.

View all change history